// creator  : weidu.exe (version 23100)
// argument : TRGYP02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRGYP02~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #47053 /* ~I greet you, strangers, on behalf of my family and in accordance with Rom tradition.  I am Kveroslava, the mother of this family and its heart.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 7.0 0.0
  SAY #47054 /* ~If you wish, I can tell you something of your place in the future.  A mere 10 gp, should you desire the benefit of my gift of insight, good <MANWOMAN>.~ */
  IF ~PartyGoldGT(9)~ THEN REPLY #47055 /* ~Certainly.  10 gp it is.~ */ DO ~TakePartyGold(10)~ GOTO 2
  IF ~PartyGoldLT(10)~ THEN REPLY #47056 /* ~I am sorry, but I don't have that much gold to offer you.~ */ GOTO 3
  IF ~~ THEN REPLY #47057 /* ~No thank you.~ */ GOTO 4
  IF ~~ THEN REPLY #47058 /* ~I've no interest in foolishness or parlor tricks.  Restrict your subterfuge to those who are gullible, woman.~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #47059 /* ~As you wish.  Come and sit beside me, good <MANWOMAN>, and I shall take ahold of your hand.  Close your eyes and let Kveroslava feel your aura...~ */
  IF ~True()~ THEN GOTO 17
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Anomen",LastTalkedToBy)~ THEN GOTO 18
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Aerie",LastTalkedToBy)~ THEN GOTO 19
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Edwin",LastTalkedToBy)~ THEN GOTO 20
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Viconia",LastTalkedToBy)~ THEN GOTO 21
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Minsc",LastTalkedToBy)~ THEN GOTO 22
  IF ~InPartySlot(LastTalkedToBy,0)~ THEN GOTO 9
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Valygar",LastTalkedToBy)~ THEN GOTO 13
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Mazzy",LastTalkedToBy)~ THEN GOTO 14
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Keldorn",LastTalkedToBy)~ THEN GOTO 15
  IF ~!InPartySlot(LastTalkedToBy,0)
Name("Jaheira",LastTalkedToBy)~ THEN GOTO 16
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #47060 /* ~It is no worry, stranger.  My talent is but a simple one, and nothing you need desire if you are light of purse.  Join us for a song, if you will.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #47061 /* ~Perhaps you are the smarter one, then, not to desire to see your fate before its time, eh?  No doubt it is better this way.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.3
  SAY #47062 /* ~It is no trick, and you are very insulting in your tone.  I do not deserve such an attitude, stranger.  If you cannot be civil, then begone.~ */
  IF ~~ THEN DO ~SetGlobal("gypsyinsulted","GLOBAL",1)~ EXIT
END

IF ~NumTimesTalkedToGT(0)
Global("gypsyinsulted","GLOBAL",1)~ THEN BEGIN 6 // from:
  SAY #47063 /* ~I have nothing further to say to you or your friends.  You are welcome in our camp because we are Rom, but I have no desire to speak further with you.~ */
  IF ~~ THEN EXIT
END

IF ~NumTimesTalkedToGT(0)
Global("gypsyinsulted","GLOBAL",0)~ THEN BEGIN 7 // from:
  SAY #47064 /* ~Hello to you, dear <MANWOMAN>.  Kveroslava bids that you are welcome in our camp, as all are.~ */
  IF ~Global("overwhelmed","GLOBAL",0)~ THEN GOTO 1
  IF ~Global("overwhelmed","GLOBAL",1)~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.1
  SAY #47065 /* ~I... I cannot reveal your future.  You all have a powerful destiny, one which clouds my visions... and frightens me.  I wish you good fortune, dear <MANWOMAN>.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from: 2.6
  SAY #47066 /* ~You are a strong <PRO_MANWOMAN>.  You have powerful blood and a... a destiny that shines so brightly.  It is... it is the blood of a god that flows in you...~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #47067 /* ~But you are not alone... there is another.  Another who calls to you for help... and I see a man, a dark man whose life has been taken from him...~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #47068 /* ~I see this other... she screams!  She screams!  There is a beast... a beast of terrible power!  And... a dark man... the Exile.  He smiles!  He smiles!~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #47069 /* ~I... I... NO! No more!  P-please forgive me, good <PRO_MANWOMAN>.  Your path has overwhelmed my limited gifts.  You... frighten me.  I wish you... good fortune.~ */
  IF ~~ THEN DO ~SetGlobal("overwhelmed","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 2.7
  SAY #47070 /* ~Your aura is strong, ranger... but hate festers within.  Conquer this to restore your life.  Look to love.  Find the strength within to overcome your long, long past.~ */
  IF ~~ THEN EXTERN ~VALYGARJ~ 42
END

IF ~~ THEN BEGIN 14 // from: 2.8
  SAY #47072 /* ~You seek a rare bond with your god, child. Virtue and honor you hold close to your heart.  Cherish them, for they will protect you in the end.~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 122
END

IF ~~ THEN BEGIN 15 // from: 2.9
  SAY #47074 /* ~You are a man of great pride, to match your strength and honor.   Banish your pride -- or lose all that is important to you!  Your greatest challenge yet awaits.~ */
  IF ~~ THEN EXTERN ~KELDORJ~ 98
END

IF ~~ THEN BEGIN 16 // from: 2.10
  SAY #47076 /* ~You have lost someone close to you.  Another world has been opened, but the price is the allegiance you hold most dear.  Be wary, Harper, for all is not as you believe.~ */
  IF ~~ THEN EXTERN ~JAHEIRAJ~ 347
END

IF ~~ THEN BEGIN 17 // from: 2.0
  SAY #47078 /* ~I... I am sorry.  I can sense nothing distinct in your future, good <MANWOMAN>.  Perhaps I am tired, please forgive me... here is your coins returned to you.~ */
  IF ~~ THEN DO ~GiveGoldForce(10)~ EXIT
END

IF ~~ THEN BEGIN 18 // from: 2.1
  SAY #47079 /* ~You strive to be noble, but blackness is in your heart.  Beware lest it consume all you love. Soon you shall stand on a precipice... to overcome, or drown in darkness forever.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 172
END

IF ~~ THEN BEGIN 19 // from: 2.2
  SAY #47081 /* ~Such a wonderful, naive child.  Do not lose that, dear girl... you are a bright gem filled with compassion.  Do not become darkened by the need of others...~ */
  IF ~~ THEN EXTERN ~AERIEJ~ 50
END

IF ~~ THEN BEGIN 20 // from: 2.3
  SAY #47083 /* ~You are an evil, bitter man lusting for power.  Guard against the unknown and mark your friends... your friends, not your allies, shall save you at the end.~ */
  IF ~~ THEN EXTERN ~EDWINJ~ 39
END

IF ~~ THEN BEGIN 21 // from: 2.4
  SAY #47085 /* ~You are far from home, dark one.  Know this: you shall return home soon.  It calls you.  Soon you will face a choice harder than you ever thought it could be.~ */
  IF ~~ THEN EXTERN ~VICONIJ~ 34
END

IF ~~ THEN BEGIN 22 // from: 2.5
  SAY #47087 /* ~Your future is unclear, ranger.  You are a gentle man with a will of iron.  A goddess fondly looks down on you.  Continue your fight against evil... it shall serve you well.~ */
  IF ~~ THEN EXTERN ~MINSCJ~ 94
END

IF ~~ THEN BEGIN 23 // from: TRGYP04:4.0
  SAY #47224 /* ~Do not be silly, my son.  Athkatla is a dark and dirty place where the Rom are not welcome.  You would be disappointed, I think.~ */
  IF ~~ THEN EXTERN ~TRGYP04~ 5
END

IF ~~ THEN BEGIN 24 // from: TRGYP01:10.0
  SAY #47229 /* ~I know because I know, my son.  One day you will be old enough that you may go there, if you wish.  But you will see that I am telling the truth.~ */
  IF ~~ THEN EXTERN ~TRGYP04~ 7
END

IF ~~ THEN BEGIN 25 // from: TRGYP04:15.0 TRGYP04:8.0
  SAY #47236 /* ~Do not be so crestfallen, my son.  It would be wrong to plant false ideals in your mind.  In time, you will learn there is a place for everything in this world.~ */
  IF ~~ THEN EXTERN ~TRGYP04~ 9
END

IF ~~ THEN BEGIN 26 // from: TRGYP04:9.0
  SAY #47238 /* ~Of course, my son.  Be safe. Remember... you have many years ahead to do all the things you wish, and you will have the wisdom, then, to deal with them.~ */
  IF ~~ THEN DO ~ActionOverride("trgyp04",EscapeArea())~ EXIT
END

IF ~~ THEN BEGIN 27 // from: TRGYP04:10.0
  SAY #47240 /* ~But not today, my son.  You are young, yet, and such a journey can wait.~ */
  IF ~~ THEN EXTERN ~TRGYP04~ 9
END

IF ~~ THEN BEGIN 28 // from: TRGYP01:12.0
  SAY #47245 /* ~Be safe, my son.  And... if the city does not agree with you, you will always be welcome here with your family.~ */
  IF ~~ THEN EXTERN ~TRGYP04~ 13
END
